Subject: bug#49592: 28.0.50; lisp-current-defun-name and non-standard defuns

From: Michael Heerdegen <[email-masked]>
Date: Fri, 12 Aug 2022 07:28:58 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > For which-func display in the mode-line I'd find "(progn ...)" nice,
> > but I guess that would not be suitable for the "add-log" case.
>
> Ah, I'd forgotten -- yes, that'd look better, but we'd have to rearrange
> the calling sequence a bit since, as you say, we don't want that in the
> add-log case.
>
> Or perhaps we could add a hack like adding a text property to the string
> to let which-func know that it should wrap the result in "( ...)"?

Have you checked how other major modes handle this case?

Would also be interesting if they also all use
`add-log-current-defun-function' or if `which-func-functions' are also
used.  I would not want to special-case Elisp if not necessary.

Michael.